Subject: Re: [PATCH] Documentation/submodule: Fix submodule.<name> -> .<path> typos

From: Jens Lehmann <[email-masked]>
Date: Fri, 28 Mar 2014 00:15:00 +0100

Am 27.03.2014 22:06, schrieb W. Trevor King:
> The transition from submodule.<path>.* to submodule.<name>.* happened
> in 73b0898d (Teach "git submodule add" the --name option, 2012-09-30),
> which landed in v1.8.1-rc0 on 2012-12-03.

Nope, the distinction between path and name is way older (AFAIK it
is there from day one). That was just the point in time where you
could choose a different name without editing .gitmodules. And the
fact that the name is initialized with the path confused a lot of
people.

>  The first
> submodule.<path>.branch reference landed a short time later in
> b9289227 (submodule add: If --branch is given, record it in
> .gitmodules, 2012-12-19), and I was probably just not aware of
> 73b0898d.  The second submodule.<path>.branch reference landed in
> 23d25e48 (submodule: explicit local branch creation in module_clone,
> 2014-01-26), and is just a copy paste error.  This commit updates both
> references to the current submodule.<name>.branch.
> 
> Reported-by: Junio C Hamano <[email-masked]>
> Signed-off-by: W. Trevor King <[email-masked]>
> ---
> This patch is against master, because 23d25e48 hasn't landed in maint
> yet.  If you want, I can split this into two patches, one against
> maint fixing the b9289227 typo and another against master fixing the
> 23d25e48 typo.

This fixes the only two usages of 'submodule.<path>.*' in the
Documentation I can see in current master.

>  Documentation/git-submodule.txt | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/Documentation/git-submodule.txt b/Documentation/git-submodule.txt
> index 46c1eeb..77588b0 100644
> --- a/Documentation/git-submodule.txt
> +++ b/Documentation/git-submodule.txt
> @@ -162,7 +162,7 @@ update::
>  +
>  For updates that clone missing submodules, checkout-mode updates will
>  create submodules with detached HEADs; all other modes will create
> -submodules with a local branch named after `submodule.<path>.branch`.
> +submodules with a local branch named after `submodule.<name>.branch`.
>  +
>  For updates that do not clone missing submodules, the submodule's HEAD
>  is only touched when the remote reference does not match the
> @@ -247,7 +247,7 @@ OPTIONS
>  -b::
>  --branch::
>  	Branch of repository to add as submodule.
> -	The name of the branch is recorded as `submodule.<path>.branch` in
> +	The name of the branch is recorded as `submodule.<name>.branch` in
>  	`.gitmodules` for `update --remote`.
>  
>  -f::
>